Index: trunk/expressoMail1_2/index.php
===================================================================
--- trunk/expressoMail1_2/index.php	(revision 7535)
+++ trunk/expressoMail1_2/index.php	(revision 7538)
@@ -21,5 +21,6 @@
 	echo "<script type='text/javascript'>var template = '".$_SESSION['phpgw_info']['expressoMail1_2']['user']['preferences']['common']['template_set']."';</script>";
 	echo '
-		<link rel="stylesheet" type="text/css" href="templates/default/main.css"></link>
+		<link rel="stylesheet" type="text/css" href="../prototype/plugins/freeow/style/freeow/freeow.css" >
+		<link rel="stylesheet" type="text/css" href="templates/default/main.min.css"></link>
 		<link rel="stylesheet" type="text/css" href="../phpgwapi/js/dftree/dftree.css"></link>
 		<link rel="Stylesheet" type="text/css" href="../prototype/plugins/jquery/jquery-ui.css" />
@@ -28,6 +29,8 @@
 		<link rel="stylesheet" href="../prototype/modules/mail/css/followupflag.css" type="text/css" />
 		<link rel="stylesheet" href="../prototype/modules/attach_message/attach_message.css" type="text/css" />
+		<link rel="stylesheet" href="../prototype/plugins/jqgrid/themes/prognusone/jquery-ui-1.8.2.custom.css" type="text/css" />
+		<link rel="stylesheet" type="text/css" href="../prototype/plugins/contextmenu/jquery.contextMenu.css"></link>
 		<!-- <link rel="stylesheet" href="../prototype/modules/mail/css/label.css" type="text/css" /> -->
-
+		
 		<script src="js/modal/modal.js"></script>
 		<script type="text/javascript" src="../prototype/plugins/jquery/jquery.min.js"></script>
@@ -58,5 +61,6 @@
 		<script src="../prototype/modules/mail/js/foldertree.js" type="text/javascript"></script>		
 		<script src="../prototype/modules/mail/js/label.js" type="text/javascript"></script>	
-		<script src="../prototype/modules/mail/js/followupflag.js" type="text/javascript"></script>
+		<script src="../prototype/modules/mail/js/followupflag.min.js" type="text/javascript"></script>
+		<script type="text/javascript" src="../prototype/plugins/freeow/jquery.freeow.min.js"></script>
     ';
 	//---------------------------//
@@ -318,5 +322,5 @@
 	// os demais pois nele contem a função get_lang
 	// que é utilizada em diversas partes
-	echo $obj -> getFilesJs("js/common_functions.js",$update_version);
+	echo $obj -> getFilesJs("js/common_functions.min.js",$update_version);
 	include("inc/load_lang.php");
 
@@ -327,5 +331,5 @@
     
 	$scripts = "js/abas.js," .
-				"js/main.js," .
+				"js/main.min.js," .
 				"js/draw_api.js,";
 	
@@ -366,8 +370,6 @@
 	<link href="../prototype/modules/filters/filters.css" rel="stylesheet" type="text/css">
 	<link rel="stylesheet" href="../prototype/plugins/farbtastic/farbtastic.css" type="text/css" >	
-	<link rel="stylesheet" href="../prototype/plugins/fileupload/jquery.fileupload-ui.css" type="text/css" >
-	<link rel="stylesheet" type="text/css" href="../prototype/plugins/contextmenu/jquery.contextMenu.css"></link>		
-	<link rel="stylesheet" href="../prototype/plugins/jqgrid/css/ui.jqgrid.css" type="text/css" />	
-	<link rel="stylesheet" href="../prototype/plugins/jqgrid/themes/prognusone/jquery-ui-1.8.2.custom.css" type="text/css" />
+	<link rel="stylesheet" href="../prototype/plugins/fileupload/jquery.fileupload-ui.css" type="text/css" >		
+	<link rel="stylesheet" href="../prototype/plugins/jqgrid/css/ui.jqgrid.css" type="text/css" />
 	<link rel="Stylesheet" type="text/css" href="../prototype/plugins/timepicker/jquery-ui-timepicker-addon.css" />
 	<link rel="stylesheet" type="text/css" href="../prototype/modules/calendar/css/layout.css" />
@@ -383,6 +385,5 @@
 	<script type="text/javascript" src="../prototype/plugins/fileupload/jquery.fileupload.js"></script>
 	<script type="text/javascript" src="../prototype/plugins/fileupload/jquery.iframe-transport.js"></script>
-	<script type="text/javascript" src="../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js"></script>
-	<!-- <script type="text/javascript" src="../prototype/plugins/contextmenu/jquery.ui.position.js"></script> -->	
+	<script type="text/javascript" src="../prototype/plugins/qtip/jquery.qtip-1.0.0-rc3.min.js"></script>	
 	<script type="text/javascript" src="../prototype/modules/calendar/js/timezone.js"></script>
 	<script type="text/javascript" src="../prototype/plugins/dateFormat/dateFormat.js"></script>
@@ -392,7 +393,4 @@
 	<script type="text/javascript" src="../prototype/modules/calendar/js/calendar.alarms.js"></script>
 	<script type="text/javascript" src="../prototype/modules/calendar/js/helpers.js"></script>
-	<link rel="stylesheet" type="text/css" href="../prototype/plugins/freeow/style/freeow/freeow.css" >
-	<script type="text/javascript" src="../prototype/plugins/freeow/jquery.freeow.min.js"></script>
-	<script type="text/javascript" src="../prototype/plugins/freeow/jquery.freeow.js"></script>
 	<script src="../prototype/plugins/jqgrid/js/i18n/grid.locale-pt-br.js" type="text/javascript"></script>
 	<script src="../prototype/plugins/jqgrid/js/jquery.jqGrid.min.js" type="text/javascript"></script>
@@ -402,7 +400,7 @@
 	<script type="text/javascript" src="../prototype/plugins/timepicker/localization/jquery-ui-timepicker-pt-BR.js"></script>
 	<script type="text/javascript" src="../prototype/plugins/jquery/i18n/jquery.ui.datepicker-pt-BR.js"></script>
-        <script type="text/javascript"> 
-            User.moduleName = "expressoMail1_2";
-		</script>	
+    <script type="text/javascript"> 
+        User.moduleName = "expressoMail1_2";
+	</script>	
 ';
 ?>
Index: trunk/expressoMail1_2/js/draw_api.js
===================================================================
--- trunk/expressoMail1_2/js/draw_api.js	(revision 7526)
+++ trunk/expressoMail1_2/js/draw_api.js	(revision 7538)
@@ -695,16 +695,11 @@
     				data = connector.unserialize(data);
     				if(data){
-                        
     					var _data = {};
     					$.each(data,function(index,value){
-    						if (data[index] && data[index]){
+    						if (data[index]){
     							_data[data[index]] = data[index];
     						}
     					});
-
     					populateSelectedMsgs(_data);
-                        
-    					_data = {};
-    				    
     				}
     			},
@@ -1385,5 +1380,4 @@
 	 */
 	if (msg_folder != headers_msgs['folder']) {
-
 		if (headers_msgs['folder']) {
 			array_folder = headers_msgs['folder'].split('/');
@@ -1434,12 +1428,7 @@
 		var tbody_element = document.createElement("TBODY");
 		//add events for column resizing
-		if (is_ie) {
-			table_element.attachEvent("onmousemove",changeCursorState);
-			table_element.attachEvent("onmousedown",startColResize);
-		}
-		else {
-			table_element.addEventListener("mousemove",changeCursorState,false);
-			table_element.addEventListener("mousedown",startColResize,false);
-		}
+        $(table_element).mousemove(changeCursorState);
+        $(table_element).mousedown(startColResize);
+
 		table_element.setAttribute("id", "table_message_header_box_"+numBox);
 		table_element.className = "table_message_header_box";
@@ -2346,35 +2335,21 @@
 
 function draw_header_box(){
-	switch(sort_box_type){
-		case 'SORTFROM':
-			type_name = get_lang("From");
-			break;
-		case 'SORTSUBJECT':
-			type_name = get_lang("Subject");
-			break;
-		case 'SORTARRIVAL':
-			type_name = get_lang("Date");
-			break;
-		case 'SORTSIZE':
-			type_name = get_lang("Size");
-			break;
-		default:
-			type_name = get_lang("Date");
-			break;
-	}
+	var types = {'SORTFROM': 'From', 'SORTSUBJECT': 'Subject', 'SORTARRIVAL': 'Date', 'SORTSIZE': 'Size'};
+    type_name = ( types[sort_box_type] ? get_lang(types[sort_box_type]) : get_lang("Date") );
 	folder = special_folders['Sent'];
 	current = get_current_folder();
 	if ((preferences.from_to_sent == "1") && (current.substr(current.length - folder.length, folder.length) == folder)) {
-        document.getElementById("message_header_SORTFROM_"+numBox).innerHTML    = get_lang("To");
+        $("#message_header_SORTFROM_"+numBox).html(get_lang("To"));
         if (sort_box_type == "SORTFROM")
         	type_name = get_lang("To");
     }else{
-	document.getElementById("message_header_SORTFROM_"+numBox).innerHTML 	= get_lang("From");
+	   $("#message_header_SORTFROM_"+numBox).html(get_lang("From"));
     }
-	document.getElementById("message_header_SORTSUBJECT_"+numBox).innerHTML = get_lang("Subject");
-	document.getElementById("message_header_SORTARRIVAL_"+numBox).innerHTML = get_lang("Date");
-	document.getElementById("message_header_SORTSIZE_"+numBox).innerHTML	= get_lang("Size");
+	$("#message_header_SORTSUBJECT_"+numBox).html(get_lang("Subject"));
+	$("#message_header_SORTARRIVAL_"+numBox).html(get_lang("Date"));
+	$("#message_header_SORTSIZE_"+numBox).html(get_lang("Size"));
 	document.getElementById("message_header_"+(sort_box_type.lastIndexOf("SORT") != "-1" ? sort_box_type : "SORTARRIVAL")+"_"+numBox ).innerHTML = "<B>"+type_name+"</B><img src ='templates/"+template+"/images/arrow_"+(sort_box_reverse == 1 ? 'desc' : 'asc')+"endant.gif'>";
 }
+
 function verifyOption(name, id){
 	var str = name + '' + id;
